#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatunarts (library) ######################

tde_add_library( noatunarts SHARED AUTOMOC
  SOURCES
    noatunarts.cpp fft.c Equalizer_impl.cpp
    FFTScopes.cpp StereoEffectStack_impl.cpp
    StereoVolumeControl_impl.cpp Session_impl.cpp
  LINK
    mpeg-shared ${ARTS_LIBRARIES}
    mcop kmedia2_idl artsflow artsflow_idl soundserver_idl
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    noatunarts.cpp noatunarts.h
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/noatunarts.idl
  DEPENDS noatunarts.idl
)


##### other data ################################

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/noatunarts.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/noatun
)

install(
  FILES
    Equalizer.mcopclass
    FFTScopeStereo.mcopclass
    StereoEffectStack.mcopclass
    EqualizerSSE.mcopclass
    RawScope.mcopclass
    StereoVolumeControl.mcopclass
    FFTScope.mcopclass
    RawScopeStereo.mcopclass
    StereoVolumeControlSSE.mcopclass
    Session.mcopclass
    Listener.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop/Noatun
)

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/noatunarts.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/noatunarts.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)
